Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001528SpeedFanFan controlpublic2010-01-03 19:402011-06-04 18:18
ReporterSash 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntelOSWindows 7 x64OS Version7600 RTM
Product Version4.40 beta 
Target VersionFixed in Version4.43 beta 
Summary0001528: No CPU Fan Speed Control
DescriptionFans connected to Sys_Fan 1 (4 pin) and Sys_Fan 2 (3 pin) are controlled at the same time by "Speed01" with no problems.
Fan connected to CPU_FAN 4 pin connector has no fan speed control by "speed02" and "speed03" regulators.

S.M.A.R.T is not accessible for HDD Samsung HD502HJ (ACHI mode) also


Tagscpu fan, p7p55d, p7p55d-e deluxe
Motherboard ModelAsus P7P55D-E Deluxe
Video Card ModelSapphire Radeon HD 5870
Attached Files

- Relationships

-  Notes
(0005077)
ryan (reporter)
2010-01-08 04:13

I can confirm this as well. I have a P7P55D EVO and I have the same behavior. Please let me know if I can post any readings to help resolve this.
(0005078)
Sash (reporter)
2010-01-12 16:13
edited on: 2010-01-12 16:13

.. motherboard temperature is wrong and has no full correlation with PC Probe II

(0005114)
ugle43 (reporter)
2010-02-12 21:52

I can confirm having exactly the same issues on my Asus P755D EVO
(0005115)
PollyGrey (reporter)
2010-02-13 13:54

Confirmed, CPU fan cannot be controlled on P7P55D-E, runs at 100%.
SMART requires running with admin rights.
(0005281)
Sash (reporter)
2010-05-25 12:05

CPU fan of Asus P7P55D-E Deluxe still can't be controlled by Speedfan 4.41.11
Changing PWM Output to DC Output cause of constant 100% CPU fan speed.
Chassis Fans are ok - under Speedfan's control.
(0005282)
norman02us (reporter)
2010-05-25 14:17
edited on: 2010-05-25 14:20

Usually on Asus motherboards it is only possible to control a PWM(4pin)-fan on the CPU_FAN header. Do you guys all use a 3pin-fan on the CPU_FAN header?

By the way, the HDD data (temp and SMART) can only be accessed if Speedfan is running with admin privileges.

(0005283)
Sash (reporter)
2010-05-25 14:52
edited on: 2010-05-25 14:55

I don't use 3-pin fan on the 4-pin CPU-FAN header. Fan is 4-pin, PWM. All connected rightly and Asus BIOS Q-Fan controls all fan speeds properly.

(0005313)
Sash (reporter)
2010-07-02 20:41
edited on: 2010-07-05 20:57

CPU fan speed control Still doesn't work with SpeedFan 4.41 beta 15.
No fan control at all

Winbond W83667HG-B at $290 msg : Error in GETPROPVALUE (FProps[23]=68)

(0005314)
moritz2k (reporter)
2010-07-05 22:34

I can confirm: No fan control at all in beta 15, same error message.
MB: Asus P7P55D
(0005316)
streetwolf (reporter)
2010-07-06 16:36

No fan control in beta15. Asus Rampage II GENE
(0005330)
streetwolf (reporter)
2010-07-24 15:57

Is this fixed in the final version? My guess it isn't since Alfredo didn't seem to care enough to even acknowledge this problem.
(0005331)
Sash (reporter)
2010-07-24 16:16

No, it is not fixed. Unfortunately.
(0005332)
Karlson2k (reporter)
2010-07-26 12:22

You should disable QFan or SmartFan in BIOS (set speed to maximum or fixed ratio), set all "speeds" to "manual control" in Advanced tab.
And - disable or remove Asus Q-Fan.
(0005333)
Sash (reporter)
2010-07-26 13:29

thanks, but it doesn't help.
(0005369)
streetwolf (reporter)
2010-08-29 03:46
edited on: 2010-08-29 03:47

Fan speeds still don't change in 4.42b2.

Why aren't you even acknowledging this Alfredo? I realize SF is a freebie but a non-working freebie is of no use to anyone. Instead of adding new stuff, fix the things that are broken. Older versions of SF change speeds just fine. Obviously you broke it in the newer versions. Guess I'll be on 4.40 for a very long time.

(0005384)
alfredo (manager)
2010-09-01 17:54

@streetwolf
I fully agree. Sorry for the delay. I had to do so many things together, but now I want to get this fixed.
I finally found a report from an Asus P7P55D-E PRO. It has the W83667HG-B. I worked very hard on this chip during the previous months. This means that, even if I didn't ack this issue, I was actua working on it. It was very difficult to get the correct documentation as there were several mistakes in it. I tested support for the W83667HG-B myself. If it is not working on your Asus then something else might need to be changed to make it work. The first step is to enter CONFIGURE / ADVANCED and set PWM MODE to MANUAL PWM CONTROL. Make sure that on the main window you can actually change the correct percentages as your system might have more than 6 of them and the useful one might be hidden.
(0005405)
HaMMuS (reporter)
2010-09-10 14:02

I have a Asus P5Q-Deluxe, which also uses the W83667HG, both CPU and case fans could be changed in 4.40 and the 4.41 betas. Since 4.41 (inc. 4.42 betas) I have lost the ability to control the CPU fan, the case fans can still be controlled however. This implies something has been broken between the 4.41 betas and the 4.41 official release? I have downgraded to 4.40 to get everything working again.
(0005408)
The Darkmaster (reporter)
2010-09-13 02:58
edited on: 2010-09-13 03:09

I have the same problem that HaMMuS. If I use a version after 4.40, I lose the ability to control the speed of the CPU fan. Using the Asus P5Q-E mainboard with a W83627DHG controller

EDIT: Strange, speedfan detects the controller as a W83667HG, but the program HWMonitor detects as a W83627DHG. Any tips on how to identify which one is correct?

Edit2: PC Wizard 2010 detects as Winbond W83677HG-I. And Everest Ultimate shows a Winbond W83667HG

(0005418)
HaMMuS (reporter)
2010-09-21 14:14

One way to identify the right chip would be to just look on the motherboard Darkmaster, it should have the Winbond logo on it and the part number. Not sure whereabouts it is located though.
(0005419)
Bawal (reporter)
2010-09-22 00:22

I'm talking about an ASUS P7P55D (PollyGrey already mentioned).
Same Problem: Sys_Fan 1 and Sys_Fan 2 can be controlled fine via SpeedFan
but CPU_FAN cannot.
SpeedFan detects Winbond W83667HG-B, but CPU-Z gives me a Winbond W83667HG-A.
Looking on the board (upper right) is written Winbond W83667HG-A, too.
Which $ID's have the -A and -B ?
At least it must have other parameters than the Winbond W83667HG from HaMMuS,
because I tried with SpeedFan 4.40 but was still not able to control CPU fan.
(0005472)
Bawal (reporter)
2010-11-10 15:39

I'm not sure how the ambitions are looking further into this issue,
but if so (I would appreciate) I would like to help as much as I can.
I'm adding note into this issue, because this one seems to be most progressed.
Could be merged with ID 1543 and, as far as it belongs to ASUS P7P55D, also ID 1627.
SmartFan is not able to (set and) control CPU_FAN. Even if PWM MODE set to MANUAL.
Looks like identifying the used IOChip is the first problem. SpeedFan says W83667HG-B,
CPUz says W83667HG-A / W83627DHG.
Fact is the Chip-ID's are Vendor: 0x5CA3, Chip: 0xB3, Revision: 0x53, I/O address: 0x2E.
Using this info, it may be the Chip
"Winbond Nuvoton NCT5571D (id=0xb3, rev=0x53) at 0x2e".
Is this info helpful?
(0005534)
alfredo (manager)
2010-12-20 10:10

@HaMMuS
Support for W83667HG has been fixed. Contact me if you want to try the latest beta.
(0005536)
alfredo (manager)
2010-12-20 10:50

I have a beta ready for all the user with a W83667HG-B (like on the Asus P7P55D). If you want to test it, contact me by email.
(0005572)
moritz2k (reporter)
2010-12-20 20:27

Hi,

just tested the new beta (4.43 Beta 3.7), with this results:

- P7P55D
- QFAN is off in Bios

- Log-Window:
Scanning ISA BUS at $0290...
SuperIO Chip=Winbond W83667HG-B
W83667HG-B (ID=$C1) found (using SuperIO) on ISA at $290

Configure -> Advanced -> Winbond W83667HG-B
- When I try to change the PWM Mode from SmartFan IV to Manual or vice versa, it often goes back to the former value. "Remember it" is activated.
- When I close the Advanced Options Dialog and open it again, everytime there are other PWM Modes set.

CPU Fan is still not controlable.

Any ideas what i can try?
Anybody else tested the new beta?
(0005578)
norman02us (reporter)
2010-12-20 21:44

Have you tried QFan enabled?
(0005579)
alfredo (manager)
2010-12-20 21:57

@moritz2k
Support for W83667HG is fully verified and works like a charm. Now I'm testing W83667HG-B. Did you send me a SEND REPORT after your tests?
(0005584)
moritz2k (reporter)
2010-12-20 23:15

@norman02us: Also tested with QFAN enabled: same result
@alfredo: Just sent you a report with qfan enabled. Should I sent you one with qfan disabled?

@all:
Can someone please tell me his settings in speedfan and bios?
(0005586)
alfredo (manager)
2010-12-20 23:28

@moritz2k
I just sent you a new beta. Unfortunately the datasheet contains a serious mistake that I already reported months ago.
If I properly coded the relevant procedures, now you should be able to consistently select MANUAL PWM MODE regardless of the original QFan setting.
(0005590)
moritz2k (reporter)
2010-12-21 00:02

Hi,

just testet the new beta.
@alfredo: report is sent

- Manual PWM Mode setting is now stored consistently, works!
- The CPU-Fan does react, but somehow strange
If go from 0% to 100% fan speed
-> the fan never stops
-> its not an linear curve, it is 500rpm until 50%, 1000rpm at 65%, then goes down to 500rpm, and then another peak 1000rpm at 100%

Any Ideas?
(0005591)
alfredo (manager)
2010-12-21 00:06

@moritz2k
Thank you. I will check. Consider that a PWM often is not allowed to stop.
(0005602)
moritz2k (reporter)
2010-12-21 21:08

Here you can see, what I mean with non linear.
http://www.abload.de/img/screen_chartc6n3.jpg [^]


I changed the CPU fan speed manually in 5% steps. 100% to 0% and back to 100%. (500rpm to 1200rpm)
- from 100->60 the fan goes up and down
- @40% it suddenly drops down

Same the way back to 100%.


- 4 PIN PWM fan
- PWM Mode manual
(0005608)
Bawal (reporter)
2010-12-22 14:24
edited on: 2010-12-22 15:04

Wow, that's a great Christmas present!
I tried 4.43 beta 4 and with set PWM to manual I can now
control CPU fan, too, on an ASUS P7P55D.

#EDIT: I previously posted a problem with Speedfan checking the signature which took here 2x30sec. But this was a problem of my (Test-)Computer. On the production one, it is working perfectly.
GREAT!

(0005609)
alfredo (manager)
2010-12-22 16:23

@bawal
Thank you for the update. I agree: this is a pretty nice beta :-)

- Issue History
Date Modified Username Field Change
2010-01-03 19:40 Sash New Issue
2010-01-03 19:40 Sash Status new => assigned
2010-01-03 19:40 Sash Assigned To => alfredo
2010-01-03 19:40 Sash Motherboard Model => Asus P7P55D-E Deluxe
2010-01-03 19:40 Sash Video Card Model => Sapphire Radeon HD 5870
2010-01-08 04:13 ryan Note Added: 0005077
2010-01-12 16:13 Sash Note Added: 0005078
2010-01-12 16:13 Sash Note Edited: 0005078
2010-02-12 21:52 ugle43 Note Added: 0005114
2010-02-13 13:54 PollyGrey Note Added: 0005115
2010-05-25 12:05 Sash Note Added: 0005281
2010-05-25 14:17 norman02us Note Added: 0005282
2010-05-25 14:20 norman02us Note Edited: 0005282
2010-05-25 14:52 Sash Note Added: 0005283
2010-05-25 14:55 Sash Note Edited: 0005283
2010-07-02 20:41 Sash Note Added: 0005313
2010-07-05 20:57 Sash Note Edited: 0005313
2010-07-05 22:34 moritz2k Note Added: 0005314
2010-07-06 16:36 streetwolf Note Added: 0005316
2010-07-24 15:57 streetwolf Note Added: 0005330
2010-07-24 16:16 Sash Note Added: 0005331
2010-07-26 12:22 Karlson2k Note Added: 0005332
2010-07-26 13:29 Sash Note Added: 0005333
2010-07-26 13:30 Sash Tag Attached: cpu fan
2010-07-26 13:30 Sash Tag Attached: p7p55d
2010-07-26 13:30 Sash Tag Attached: p7p55d-e deluxe
2010-08-29 03:46 streetwolf Note Added: 0005369
2010-08-29 03:47 streetwolf Note Edited: 0005369
2010-09-01 17:39 alfredo Status assigned => acknowledged
2010-09-01 17:54 alfredo Note Added: 0005384
2010-09-10 14:02 HaMMuS Note Added: 0005405
2010-09-13 02:58 The Darkmaster Note Added: 0005408
2010-09-13 03:02 The Darkmaster Note Edited: 0005408 View Revisions
2010-09-13 03:09 The Darkmaster Note Edited: 0005408 View Revisions
2010-09-21 14:14 HaMMuS Note Added: 0005418
2010-09-22 00:22 Bawal Note Added: 0005419
2010-11-10 15:39 Bawal Note Added: 0005472
2010-12-20 10:10 alfredo Note Added: 0005534
2010-12-20 10:50 alfredo Note Added: 0005536
2010-12-20 20:27 moritz2k Note Added: 0005572
2010-12-20 21:44 norman02us Note Added: 0005578
2010-12-20 21:57 alfredo Note Added: 0005579
2010-12-20 23:15 moritz2k Note Added: 0005584
2010-12-20 23:28 alfredo Note Added: 0005586
2010-12-21 00:02 moritz2k Note Added: 0005590
2010-12-21 00:06 alfredo Note Added: 0005591
2010-12-21 21:08 moritz2k Note Added: 0005602
2010-12-22 14:24 Bawal Note Added: 0005608
2010-12-22 15:04 Bawal Note Edited: 0005608 View Revisions
2010-12-22 16:23 alfredo Note Added: 0005609
2010-12-22 17:57 alfredo Status acknowledged => resolved
2010-12-22 17:57 alfredo Resolution open => fixed
2010-12-22 17:57 alfredo Fixed in Version => 4.43 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3555 seconds.
memory usage: 8,399 KB
Powered by Mantis Bugtracker